Next: iswcntrl, Previous: iswalnum, Up: Ctype [Contents][Index]

### 3.17 `iswalpha`, `iswalpha_l`—alphabetic wide character test

Synopsis

    #include <wctype.h>
    int iswalpha(wint_t c);

    #include <wctype.h>
    int iswalpha_l(wint_t c, locale_t locale);

Description
`iswalpha` is a function which classifies wide-character values that are alphabetic.

`iswalpha_l` is like `iswalpha` but performs the check based on the locale specified by the locale object locale. If locale is LC_GLOBAL_LOCALE or not a valid locale object, the behaviour is undefined.

Returns
`iswalpha`, `iswalpha_l` return non-zero if c is an alphabetic wide character.

Portability
`iswalpha` is C99. `iswalpha_l` is POSIX-1.2008.

No supporting OS subroutines are required.